/*
 * Class WEL_ACCELERATOR_FLAG_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_17 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_17 [] = {0xFF01,1551,16,0xFFFF};
static const EIF_TYPE_INDEX egt_2_17 [] = {0xFF01,16,0xFFFF};
static const EIF_TYPE_INDEX egt_3_17 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_17 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_17 [] = {0xFF01,16,0xFFFF};
static const EIF_TYPE_INDEX egt_6_17 [] = {0xFF01,16,0xFFFF};
static const EIF_TYPE_INDEX egt_7_17 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_17 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_17 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_17 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_17 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_17 [] = {0xFF01,16,0xFFFF};


static const struct desc_info desc_17[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_17), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_17), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_17), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_17), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_17), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_17), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_17), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_17), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_17), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_17), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_17), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_17), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x21 /*16*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_17), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 177, 0xFFFFFFFF},
};
void Init17(void)
{
	IDSC(desc_17, 0, 16);
	IDSC(desc_17 + 1, 1, 16);
	IDSC(desc_17 + 32, 1509, 16);
}


#ifdef __cplusplus
}
#endif
